Re: gpsd recipe not installing clients


mattwood2000@...
 

Thanks everyone.

Looks like this whole thing came down to a typo. I had originally
tried gpsd-utils and got the nothing RPROVIDES error. Missed that it
was in fact gps-utils!

Thanks again, have it working now.

On Fri, Feb 11, 2022 at 11:41 AM Marc Ferland <marc.ferland@...> wrote:

gps-utils is the package you are looking for.
Marc

On Fri, Feb 11, 2022 at 11:32 AM Alexander Kanavin <alex.kanavin@...> wrote:

Check tmp/work/cortexa53-poky-linux/gpsd/3.23.1-r0/packages-split to
see what package the needed binaries go into.

Alex

On Fri, 11 Feb 2022 at 17:23, <mattwood2000@...> wrote:

Hi,

I am trying to include gpsd in a poky build. The core components are
included, i.e gpsd gpsctl and gpsdctl, but the clients like gpspipe
and gpsmon do not make it to the final image.

For context, I'm building for the raspberry pi 3b+ using
core-image-full-cmdline.

I see all of the clients in
tmp/work/cortexa53-poky-linux/gpsd/3.23.1-r0/image/usr/bin however.

What am I missing? I didn't see anything in the recipe that would
indicate a conditional install flag.

Thanks, Matt.



Join yocto@lists.yoctoproject.org to automatically receive all group messages.